{
  name: "Air Balloon",
  spritenum: 6,
  fling: {
  	basePower: 10,
  },
  onStart(target) {
  	if (!target.ignoringItem() && !this.field.getPseudoWeather('gravity')) {
  		this.add('-item', target, 'Air Balloon');
  	}
  },
  /* airborneness implemented in sim/pokemon.js:Pokemon#isGrounded */
  onDamagingHit(damage, target, source, move) {
  	this.add('-enditem', target, 'Air Balloon');
  	target.item = '';
  	target.itemState = {id: '', target};
  	this.runEvent('AfterUseItem', target, null, null, this.dex.items.get('airballoon'));
  },
  onAfterSubDamage(damage, target, source, effect) {
  	this.debug('effect: ' + effect.id);
  	if (effect.effectType === 'Move') {
  		this.add('-enditem', target, 'Air Balloon');
  		target.item = '';
  		target.itemState = {id: '', target};
  		this.runEvent('AfterUseItem', target, null, null, this.dex.items.get('airballoon'));
  	}
  },
  num: 541,
  gen: 5,
}